Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskWorkerControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface TaskWorkerControl
extends weblogic.jws.control.Control

The Task Worker control enables a business process or UI to assume ownership of Tasks, work on them, and complete them. It offers administrative operations, such as operations to start, stop, delete, and assign. The Task Worker controls allow operations on several Task instances simultaneously. You can extend this control.

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Field Summary
`static String` | `ATTR_ASSIGN_ALGORITHM`
`static String` | `ATTR_ASSIGN_GROUP`
`static String` | `ATTR_ASSIGN_USER`
`static String` | `ATTR_CLAIM_CLAIMANT`
`static String` | `ATTR_CREATE_CAN_BE_ABORTED`
`static String` | `ATTR_CREATE_CAN_BE_REASSIGNED`
`static String` | `ATTR_CREATE_CAN_BE_RETURNED`
`static String` | `ATTR_CREATE_CLAIM_CALENDAR`
`static String` | `ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE`
`static String` | `ATTR_CREATE_CLAIM_DUE_DATE`
`static String` | `ATTR_CREATE_CLAIM_USER_CALENDAR`
`static String` | `ATTR_CREATE_COMMENT`
`static String` | `ATTR_CREATE_COMPLETION_CALENDAR`
`static String` | `ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE`
`static String` | `ATTR_CREATE_COMPLETION_DUE_DATE`
`static String` | `ATTR_CREATE_COMPLETION_USER_CALENDAR`
`static String` | `ATTR_CREATE_DESCRIPTION`
`static String` | `ATTR_CREATE_NAME`
`static String` | `ATTR_CREATE_OWNER`
`static String` | `ATTR_CREATE_PRIORITY`
`static String` | `ATTR_CREATE_REQUEST`
`static String` | `ATTR_CREATE_REQUEST_MIME_TYPE`
`static String` | `ATTR_GET_PROPERTY_NAME`
`static String` | `ATTR_REMOVE_PROPERTY_NAME`
`static String` | `ATTR_SELECT_ASSIGNED_GROUP`
`static String` | `ATTR_SELECT_ASSIGNED_USER`
`static String` | `ATTR_SELECT_CLAIM_DUE_DATE_AFTER`
`static String` | `ATTR_SELECT_CLAIM_DUE_DATE_BEFORE`
`static String` | `ATTR_SELECT_CLAIMANT`
`static String` | `ATTR_SELECT_COMPLETION_DUE_DATE_AFTER`
`static String` | `ATTR_SELECT_COMPLETION_DUE_DATE_BEFORE`
`static String` | `ATTR_SELECT_CREATION_DATE_AFTER`
`static String` | `ATTR_SELECT_CREATION_DATE_BEFORE`
`static String` | `ATTR_SELECT_MAX_PRIORITY`
`static String` | `ATTR_SELECT_MIN_PRIORITY`
`static String` | `ATTR_SELECT_PROPERTY_NAME`
`static String` | `ATTR_SELECT_PROPERTY_VALUE`
`static String` | `ATTR_SELECT_SELECTOR`
`static String` | `ATTR_SELECT_STATES`
`static String` | `ATTR_SELECT_TASK_COMMENT`
`static String` | `ATTR_SELECT_TASK_ID`
`static String` | `ATTR_SELECT_TASK_NAME`
`static String` | `ATTR_SELECT_TASK_OWNER`
`static String` | `ATTR_SET_PROPERTY_NAME`
`static String` | `ATTR_SET_PROPERTY_VALUE`
`static String` | `ATTR_UPDATE_CAN_BE_ABORTED`
`static String` | `ATTR_UPDATE_CAN_BE_REASSIGNED`
`static String` | `ATTR_UPDATE_CAN_BE_RETURNED`
`static String` | `ATTR_UPDATE_CLAIM_CALENDAR`
`static String` | `ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE`
`static String` | `ATTR_UPDATE_CLAIM_DUE_DATE`
`static String` | `ATTR_UPDATE_CLAIM_USER_CALENDAR`
`static String` | `ATTR_UPDATE_COMMENT`
`static String` | `ATTR_UPDATE_COMPLETION_CALENDAR`
`static String` | `ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE`
`static String` | `ATTR_UPDATE_COMPLETION_DUE_DATE`
`static String` | `ATTR_UPDATE_COMPLETION_USER_CALENDAR`
`static String` | `ATTR_UPDATE_OWNER`
`static String` | `ATTR_UPDATE_PRIORITY`
`static String` | `ATTR_UPDATE_REQUEST`
`static String` | `ATTR_UPDATE_REQUEST_MIME_TYPE`
`static String` | `ATTR_UPDATE_RESPONSE`
`static String` | `ATTR_UPDATE_RESPONSE_MIME_TYPE`
`static String` | `TAG_TASK_WORKER` the control jc tag.
`static String` | `TAG_TASK_WORKER_ABORT`
`static String` | `TAG_TASK_WORKER_ASSIGN` The @jc:task-assign tag is used to annotate a JBCX method that assign or reassign a task.
`static String` | `TAG_TASK_WORKER_CLAIM`
`static String` | `TAG_TASK_WORKER_COMPLETE`
`static String` | `TAG_TASK_WORKER_CREATE` The @jc:create tag is used to annotate a JBCX method that creates a new task.
`static String` | `TAG_TASK_WORKER_DELETE`
`static String` | `TAG_TASK_WORKER_GET_INFO` The return type of the method JBCX is used to determine what is returned: TaskInfo[] TaskInfoXML[]
`static String` | `TAG_TASK_WORKER_GET_PROPERTY`
`static String` | `TAG_TASK_WORKER_GET_PROPERTY_NAME`
`static String` | `TAG_TASK_WORKER_GET_REQUEST` The return type of the method JBCX is used to determine what is returned.
`static String` | `TAG_TASK_WORKER_GET_RESPONSE` The return type of the method JBCX is used to determine what is returned.
`static String` | `TAG_TASK_WORKER_REMOVE_PROPERTY`
`static String` | `TAG_TASK_WORKER_RESUME`
`static String` | `TAG_TASK_WORKER_RETURN`
`static String` | `TAG_TASK_WORKER_SELECT` The @jc:task-select tag is used in correlation with the other method tags of this control.
`static String` | `TAG_TASK_WORKER_SET_PROPERTY`
`static String` | `TAG_TASK_WORKER_START`
`static String` | `TAG_TASK_WORKER_STOP`
`static String` | `TAG_TASK_WORKER_SUSPEND`
`static String` | `TAG_TASK_WORKER_UPDATE` The @jc:task-update tag is used to annotate a JBCX method that update the task properties.

Method Summary
`void` | `archiveTasks()` Archive the tasks that are in the state aborted or completed
`String` | `createTask(com.bea.wli.worklist.xml.TaskCreationXMLDocument doc)` Create and optionally assigns a new task using an XML interface
`void` | `purgeTasks()` Purge the tasks that are ready to be purged: completed or aborted time > purgDelay.

Field Detail

### TAG_TASK_WORKER

    public static final String TAG_TASK_WORKER

  the control jc tag.

  See Also:
    Constant Field Values

### TAG_TASK_WORKER_CREATE

    public static final String TAG_TASK_WORKER_CREATE

  The @jc:create tag is used to annotate a JBCX method that creates a new task. This method returns the taskId of the created task.

  See Also:
    Constant Field Values

### ATTR_CREATE_NAME

    public static final String ATTR_CREATE_NAME

See Also:
  Constant Field Values

### ATTR_CREATE_DESCRIPTION

    public static final String ATTR_CREATE_DESCRIPTION

See Also:
  Constant Field Values

### ATTR_CREATE_COMMENT

    public static final String ATTR_CREATE_COMMENT

See Also:
  Constant Field Values

### ATTR_CREATE_PRIORITY

    public static final String ATTR_CREATE_PRIORITY

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_DUE_DATE

    public static final String ATTR_CREATE_CLAIM_DUE_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_DUE_DATE

    public static final String ATTR_CREATE_COMPLETION_DUE_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE

    public static final String ATTR_CREATE_CLAIM_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_USER_CALENDAR

    public static final String ATTR_CREATE_CLAIM_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_CLAIM_CALENDAR

    public static final String ATTR_CREATE_CLAIM_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE

    public static final String ATTR_CREATE_COMPLETION_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_USER_CALENDAR

    public static final String ATTR_CREATE_COMPLETION_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_COMPLETION_CALENDAR

    public static final String ATTR_CREATE_COMPLETION_CALENDAR

See Also:
  Constant Field Values

### ATTR_CREATE_OWNER

    public static final String ATTR_CREATE_OWNER

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_REASSIGNED

    public static final String ATTR_CREATE_CAN_BE_REASSIGNED

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_RETURNED

    public static final String ATTR_CREATE_CAN_BE_RETURNED

See Also:
  Constant Field Values

### ATTR_CREATE_CAN_BE_ABORTED

    public static final String ATTR_CREATE_CAN_BE_ABORTED

See Also:
  Constant Field Values

### ATTR_CREATE_REQUEST

    public static final String ATTR_CREATE_REQUEST

See Also:
  Constant Field Values

### ATTR_CREATE_REQUEST_MIME_TYPE

    public static final String ATTR_CREATE_REQUEST_MIME_TYPE

See Also:
  Constant Field Values

### TAG_TASK_WORKER_ABORT

    public static final String TAG_TASK_WORKER_ABORT

See Also:
  Constant Field Values

### TAG_TASK_WORKER_CLAIM

    public static final String TAG_TASK_WORKER_CLAIM

See Also:
  Constant Field Values

### ATTR_CLAIM_CLAIMANT

    public static final String ATTR_CLAIM_CLAIMANT

See Also:
  Constant Field Values

### TAG_TASK_WORKER_COMPLETE

    public static final String TAG_TASK_WORKER_COMPLETE

See Also:
  Constant Field Values

### TAG_TASK_WORKER_DELETE

    public static final String TAG_TASK_WORKER_DELETE

See Also:
  Constant Field Values

### TAG_TASK_WORKER_RESUME

    public static final String TAG_TASK_WORKER_RESUME

See Also:
  Constant Field Values

### TAG_TASK_WORKER_RETURN

    public static final String TAG_TASK_WORKER_RETURN

See Also:
  Constant Field Values

### TAG_TASK_WORKER_START

    public static final String TAG_TASK_WORKER_START

See Also:
  Constant Field Values

### TAG_TASK_WORKER_STOP

    public static final String TAG_TASK_WORKER_STOP

See Also:
  Constant Field Values

### TAG_TASK_WORKER_SUSPEND

    public static final String TAG_TASK_WORKER_SUSPEND

See Also:
  Constant Field Values

### TAG_TASK_WORKER_ASSIGN

    public static final String TAG_TASK_WORKER_ASSIGN

  The @jc:task-assign tag is used to annotate a JBCX method that assign or reassign a task. The algorithm name is used to determine the way a task is assigned. If no name is pecified the default algorithm is used and the args must be of type String[]; In any case the attribute "args" is required and must be of type Object[].

  See Also:
    Constant Field Values

### ATTR_ASSIGN_USER

    public static final String ATTR_ASSIGN_USER

See Also:
  Constant Field Values

### ATTR_ASSIGN_GROUP

    public static final String ATTR_ASSIGN_GROUP

See Also:
  Constant Field Values

### ATTR_ASSIGN_ALGORITHM

    public static final String ATTR_ASSIGN_ALGORITHM

See Also:
  Constant Field Values

### TAG_TASK_WORKER_GET_INFO

    public static final String TAG_TASK_WORKER_GET_INFO

  The return type of the method JBCX is used to determine what is returned: TaskInfo[] TaskInfoXML[]

  See Also:
    Constant Field Values

### TAG_TASK_WORKER_GET_REQUEST

    public static final String TAG_TASK_WORKER_GET_REQUEST

  The return type of the method JBCX is used to determine what is returned.

  See Also:
    Constant Field Values

### TAG_TASK_WORKER_GET_RESPONSE

    public static final String TAG_TASK_WORKER_GET_RESPONSE

  The return type of the method JBCX is used to determine what is returned.

  See Also:
    Constant Field Values

### TAG_TASK_WORKER_GET_PROPERTY_NAME

    public static final String TAG_TASK_WORKER_GET_PROPERTY_NAME

See Also:
  Constant Field Values

### TAG_TASK_WORKER_GET_PROPERTY

    public static final String TAG_TASK_WORKER_GET_PROPERTY

See Also:
  Constant Field Values

### ATTR_GET_PROPERTY_NAME

    public static final String ATTR_GET_PROPERTY_NAME

See Also:
  Constant Field Values

### TAG_TASK_WORKER_SET_PROPERTY

    public static final String TAG_TASK_WORKER_SET_PROPERTY

See Also:
  Constant Field Values

### ATTR_SET_PROPERTY_NAME

    public static final String ATTR_SET_PROPERTY_NAME

See Also:
  Constant Field Values

### ATTR_SET_PROPERTY_VALUE

    public static final String ATTR_SET_PROPERTY_VALUE

See Also:
  Constant Field Values

### TAG_TASK_WORKER_REMOVE_PROPERTY

    public static final String TAG_TASK_WORKER_REMOVE_PROPERTY

See Also:
  Constant Field Values

### ATTR_REMOVE_PROPERTY_NAME

    public static final String ATTR_REMOVE_PROPERTY_NAME

See Also:
  Constant Field Values

### TAG_TASK_WORKER_UPDATE

    public static final String TAG_TASK_WORKER_UPDATE

  The @jc:task-update tag is used to annotate a JBCX method that update the task properties. You can modify one or more properties at the same time.

  See Also:
    Constant Field Values

### ATTR_UPDATE_CAN_BE_ABORTED

    public static final String ATTR_UPDATE_CAN_BE_ABORTED

See Also:
  Constant Field Values

### ATTR_UPDATE_CAN_BE_REASSIGNED

    public static final String ATTR_UPDATE_CAN_BE_REASSIGNED

See Also:
  Constant Field Values

### ATTR_UPDATE_CAN_BE_RETURNED

    public static final String ATTR_UPDATE_CAN_BE_RETURNED

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_DUE_DATE

    public static final String ATTR_UPDATE_CLAIM_DUE_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE

    public static final String ATTR_UPDATE_CLAIM_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_DUE_DATE

    public static final String ATTR_UPDATE_COMPLETION_DUE_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_USER_CALENDAR

    public static final String ATTR_UPDATE_CLAIM_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_CLAIM_CALENDAR

    public static final String ATTR_UPDATE_CLAIM_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE

    public static final String ATTR_UPDATE_COMPLETION_DUE_BUSINESS_DATE

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_USER_CALENDAR

    public static final String ATTR_UPDATE_COMPLETION_USER_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_COMPLETION_CALENDAR

    public static final String ATTR_UPDATE_COMPLETION_CALENDAR

See Also:
  Constant Field Values

### ATTR_UPDATE_COMMENT

    public static final String ATTR_UPDATE_COMMENT

See Also:
  Constant Field Values

### ATTR_UPDATE_OWNER

    public static final String ATTR_UPDATE_OWNER

See Also:
  Constant Field Values

### ATTR_UPDATE_PRIORITY

    public static final String ATTR_UPDATE_PRIORITY

See Also:
  Constant Field Values

### ATTR_UPDATE_REQUEST

    public static final String ATTR_UPDATE_REQUEST

See Also:
  Constant Field Values

### ATTR_UPDATE_REQUEST_MIME_TYPE

    public static final String ATTR_UPDATE_REQUEST_MIME_TYPE

See Also:
  Constant Field Values

### ATTR_UPDATE_RESPONSE

    public static final String ATTR_UPDATE_RESPONSE

See Also:
  Constant Field Values

### ATTR_UPDATE_RESPONSE_MIME_TYPE

    public static final String ATTR_UPDATE_RESPONSE_MIME_TYPE

See Also:
  Constant Field Values

### TAG_TASK_WORKER_SELECT

    public static final String TAG_TASK_WORKER_SELECT

  The @jc:task-select tag is used in correlation with the other method tags of this control. It is used to determine the tasks concerned by the operation.

  See Also:
    Constant Field Values

### ATTR_SELECT_TASK_ID

    public static final String ATTR_SELECT_TASK_ID

See Also:
  Constant Field Values

### ATTR_SELECT_TASK_NAME

    public static final String ATTR_SELECT_TASK_NAME

See Also:
  Constant Field Values

### ATTR_SELECT_TASK_COMMENT

    public static final String ATTR_SELECT_TASK_COMMENT

See Also:
  Constant Field Values

### ATTR_SELECT_TASK_OWNER

    public static final String ATTR_SELECT_TASK_OWNER

See Also:
  Constant Field Values

### ATTR_SELECT_CLAIMANT

    public static final String ATTR_SELECT_CLAIMANT

See Also:
  Constant Field Values

### ATTR_SELECT_ASSIGNED_USER

    public static final String ATTR_SELECT_ASSIGNED_USER

See Also:
  Constant Field Values

### ATTR_SELECT_ASSIGNED_GROUP

    public static final String ATTR_SELECT_ASSIGNED_GROUP

See Also:
  Constant Field Values

### ATTR_SELECT_MIN_PRIORITY

    public static final String ATTR_SELECT_MIN_PRIORITY

See Also:
  Constant Field Values

### ATTR_SELECT_MAX_PRIORITY

    public static final String ATTR_SELECT_MAX_PRIORITY

See Also:
  Constant Field Values

### ATTR_SELECT_STATES

    public static final String ATTR_SELECT_STATES

See Also:
  Constant Field Values

### ATTR_SELECT_COMPLETION_DUE_DATE_BEFORE

    public static final String ATTR_SELECT_COMPLETION_DUE_DATE_BEFORE

See Also:
  Constant Field Values

### ATTR_SELECT_COMPLETION_DUE_DATE_AFTER

    public static final String ATTR_SELECT_COMPLETION_DUE_DATE_AFTER

See Also:
  Constant Field Values

### ATTR_SELECT_CLAIM_DUE_DATE_BEFORE

    public static final String ATTR_SELECT_CLAIM_DUE_DATE_BEFORE

See Also:
  Constant Field Values

### ATTR_SELECT_CLAIM_DUE_DATE_AFTER

    public static final String ATTR_SELECT_CLAIM_DUE_DATE_AFTER

See Also:
  Constant Field Values

### ATTR_SELECT_CREATION_DATE_BEFORE

    public static final String ATTR_SELECT_CREATION_DATE_BEFORE

See Also:
  Constant Field Values

### ATTR_SELECT_CREATION_DATE_AFTER

    public static final String ATTR_SELECT_CREATION_DATE_AFTER

See Also:
  Constant Field Values

### ATTR_SELECT_PROPERTY_NAME

    public static final String ATTR_SELECT_PROPERTY_NAME

See Also:
  Constant Field Values

### ATTR_SELECT_PROPERTY_VALUE

    public static final String ATTR_SELECT_PROPERTY_VALUE

See Also:
  Constant Field Values

### ATTR_SELECT_SELECTOR

    public static final String ATTR_SELECT_SELECTOR

See Also:
  Constant Field Values

Method Detail

### createTask

    public String createTask(com.bea.wli.worklist.xml.TaskCreationXMLDocument doc)

  Create and optionally assigns a new task using an XML interface

  Parameters:
    `doc` - the task parameters
  Returns:
    the taskId

### archiveTasks

    public void archiveTasks()

  Archive the tasks that are in the state aborted or completed

### purgeTasks

    public void purgeTasks()

  Purge the tasks that are ready to be purged: completed or aborted time > purgDelay. if archiver is on the task must be archived first.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD